## org.springframework.core
Class ControlFlowFactory

    java.lang.Object
      org.springframework.core.ControlFlowFactory

    public abstract class ControlFlowFactory

extends Object

Static factory to conceal the automatic choice of the ControlFlow implementation class.

This implementation always uses the efficient Java 1.4 StackTraceElement mechanism for analyzing control flows.

Since:
  02.02.2004
Author:
  Rod Johnson, Juergen Hoeller

Constructor Summary
`ControlFlowFactory()`

Method Summary
`static ControlFlow` `createControlFlow()` Return an appropriate `ControlFlow` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlFlowFactory

    public ControlFlowFactory()

Method Detail

### createControlFlow

    public static ControlFlow createControlFlow()

  Return an appropriate `ControlFlow` instance.